/* FONTS */

@font-face {
  font-family: "HeyAugust";
  src: url("../fonts/HeyAugust.eot");
  src: url("../fonts/HeyAugust.eot?#iefix") format("embedded-opentype"),
    url("../fonts/HeyAugust.otf") format("opentype"),
    url("../fonts/HeyAugust.svg") format("svg"),
    url("../fonts/HeyAugust.ttf") format("truetype"),
    url("../fonts/HeyAugust.woff") format("woff"),
    url("../fonts/HeyAugust.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

@font-face {
	font-family: 'Bittypix';
	src: url("../fonts/bittypix.woff") format('woff');
	font-weight: normal;
	font-style: normal
}

/* COLORS */

:root {
	--primaryColorNext: #2ecc71;
    --primaryColor: #0ADCEB;
    
    --secondaryColor: #9099a4;
    --primaryBackgroundColor: #1b1b1b;
    --secondaryBackgroundColor: #313131;
    --thirdBackgroundColor: #454545;
    --boxShadowColor: #010101;
    --textColor: #fff;
	
    --secondaryColorLight: #9099a4;
    --primaryBackgroundColorLight: #efefef;
    --secondaryBackgroundColorLight: #f8f8f8;
    --thirdBackgroundColorLight: #fff;
    --boxShadowColorLight: #adadad;
    --textColorLight: #1b1b1b;
	
    --secondaryColorDark: #9099a4;
    --primaryBackgroundColorDark: #1b1b1b;
    --secondaryBackgroundColorDark: #313131;
    --thirdBackgroundColorDark: #454545;
    --boxShadowColorDark: #010101;
    --textColorDark: #fff;
}

/* SCROLL BAR */

::-webkit-scrollbar-track {
    background-color: var(--primaryBackgroundColor);
}

::-webkit-scrollbar {
    width: 20px
}

::-webkit-scrollbar-thumb {
    background-color: var(--primaryColor);
    border-left: 9px solid var(--primaryBackgroundColor);
    border-right: 9px solid var(--primaryBackgroundColor);
    border-top: 20px solid var(--primaryBackgroundColor);
    border-bottom: 20px solid var(--primaryBackgroundColor);
}

/* GENERAL */

html {
	overflow: hidden;
}

body {
    background-color: var(--primaryBackgroundColor);
	margin: 0;
    padding: 0;
    overflow: hidden;
    position: fixed;
    width: 100%;
}

.container {
    background-color: var(--primaryBackgroundColor);
    height: 95vh;
    padding-top: 5vh;
}

.noSelect {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.noHighlight {
	-webkit-tap-highlight-color: transparent;
}

.noCallout {
	-webkit-touch-callout: none;
}

.green {
	background: #2ecc71 !important;
}

.red {
	background: #ff4f45 !important;
}

.orange {
	background: #ffd203 !important;
}

.hiddenItem {
	opacity: 0 !important;
}

.visibleItem {
    opacity: 1 !important;
}

.displayedItem {
    display: block !important;
}

.unDisplayedItem {
    display: none !important;
}

.deactivated span {
    opacity: 0.3;
}

/**, *:before, *:after {
	-webkit-transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease, padding 0.5s ease;
	-moz-transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease, padding 0.5s ease;
	-ms-transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease, padding 0.5s ease;
	-o-transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease, padding 0.5s ease;
	transition: background-color 0.5s ease, border-color 0.5s ease, color 0.5s ease, padding 0.5s ease;
}

.busItem.active, .stationItem.active {
	-webkit-transition: background-color 0s ease;
	-moz-transition: background-color 0s ease;
	-ms-transition: background-color 0s ease;
	-o-transition: background-color 0s ease;
	transition: background-color 0s ease;
}

.stationTime {
	-webkit-transition: background-color 0.5s ease;
	-moz-transition: background-color 0.5s ease;
	-ms-transition: background-color 0.5s ease;
	-o-transition: background-color 0.5s ease;
	transition: background-color 0.5s ease;
}

ul.tabs, .oasaContainer {
	-webkit-transition: padding 0s ease;
	-moz-transition: padding 0s ease;
	-ms-transition: padding 0s ease;
	-o-transition: padding 0s ease;
	transition: padding 0s ease;
}*/

/* ICONS */

[class^="icon-"], [class*=" icon-"] {
	font-family: 'icomoon' !important;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;

	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.icon-map-signs:before {
	content: "\e902";
	color: var(--primaryColor);
}

ul.tabs li:hover .icon-map-signs:before {
	color: var(--primaryColor);
}

.icon-bus1:before {
	content: "\e900";
	color: var(--primaryColor);
}

ul.tabs li:hover .icon-bus1:before {
	color: var(--primaryColor);
}

.icon-spinner11:before {
	content: "\e984";
    color: #fff;
	font-size: 25px;
}

.icon-circle-right:before {
	content: "\ea42";
	color: var(--secondaryBackgroundColor);
}

.icon-home:before {
	content: "\e901";
	color: var(--primaryColor);
}

#homeButton:hover .icon-home:before {
	color: var(--primaryColor);
}

/* ANIMATION */

.animationContainer {
    text-align: center;
    position: absolute;
    top: 50%;
    margin-top: -100px;
    width: 100%;
    overflow: hidden;
    background: #1b1b1b;
    opacity: 1;
    transition: opacity 1s;
}

.stopp1 {
    /*stop-color: #f700a8;*/
    stop-color: var(--primaryColor);
}

.stopp2 {
    /*stop-color: #ff8000;*/
    stop-color: var(--primaryColor);
}

.halvan {
    animation: Snurra1 10s infinite linear;
    stroke-dasharray: 180 800;
    fill: none;
    stroke: url(#gradient);
    stroke-width: 23;
    stroke-linecap: round;
}

.strecken {
    animation: Snurra1 3s infinite linear;
    stroke-dasharray: 26 54;
    fill: none;
    stroke: url(#gradient);
    stroke-width: 23;
    stroke-linecap: round;
}

@keyframes Snurra1 {
    0% {
      stroke-dashoffset: 0;
    }
    100% {
      stroke-dashoffset: -403px;
    }
}

/* TABS */

.tabContent {
	width: 100%;
}

.tabContent .tabContentContainer {
	display: none;
}

.tabContent.current .tabContentContainer {
    display: block;
    position: absolute;
    left: 0;
    top: 50%;
    -webkit-transform: translateY(-50%);
       -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
         -o-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 100%;
}

ul.tabs {
	display: none;
    padding: 0px;
    list-style: none;
    text-align: center;
    z-index: 999;
    margin: 0;
    position: absolute;
    left: 0;
    top: 50%;
    -webkit-transform: translateY(-50%);
       -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
         -o-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 100%;
}

ul.tabs li {
    cursor: pointer;
    width: 50%;
    max-width: 300px;
    height: 30vh;
    max-height: 200px;
    margin: 4vh;
    position: relative;
    display: inline-block;
    box-shadow: 0px 3px 45px 0px var(--boxShadowColor);
    background: var(--primaryBackgroundColor);
    border-radius: 15px;
    /*border-left: 2px solid var(--primaryColor);
    border-right: 2px solid var(--primaryColor);*/
}

ul.tabs li span {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -25px;
    margin-top: -25px;
	color: var(--primaryColor);
}

ul.tabs li:hover {
    background: var(--secondaryBackgroundColor);
}

ul.tabs li:hover span {
    color: #fff;
}

.accordionContent {
	display: none;
	overflow: hidden;
}

/* TITLE */

.appTitle {
    top: 0;
    left: 0;
    width: 100%;
	display: none;
	position: fixed;
    padding-top: 2%;
    
    background: var(--primaryColor);
    border-bottom-left-radius: 25%;
    border-bottom-right-radius: 25%;
    padding-bottom: 35px;
    transition: padding 0.7s;
}

.appTitle h2 {
    font-family: HeyAugust;
    color: var(--primaryBackgroundColor);
    text-align: center;
    padding-top: 0;
    margin: 0;
    font-weight: normal;
    font-size: 50px;
}

/* BUTTONS */

.bottomBar {
	position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 65px;
    z-index: 998;
}

#homeButton {
    position: fixed;
	height: 45px;
    width: 45px;
    bottom: 10px;
    left: calc(50vw - 22.5px);
	color: var(--primaryColor);
    font-size: 30px;
	z-index: 999;
	cursor: pointer;
}

#homeButton.deactivated:hover {
    background: var(--secondaryBackgroundColor);
}

#homeButton:hover {
	background: var(--secondaryBackgroundColor);
	color: var(--primaryColor);
}

#darkLightChooser {
    position: fixed;
	height: 45px;
    width: 45px;
    bottom: 10px;
    right: calc(50vw - 77.5px);
	color: #fff;
    font-size: 30px;
	z-index: 999;
	cursor: pointer;
    background: transparent;
}

.darkLightChooser label:hover {
    opacity: .7;
    transition: opacity 0.2s;
    -webkit-transition: opacity 0.2s
}

.darkLightChooser input[type="checkbox"] {
    fill: #fff;
    height: 11.5px;
    margin-right: 34.6px;
    display: none;
}

.darkLightChooser input[type="checkbox"] + label {
    width: 30px;
    height: 13px;
    background: var(--thirdBackgroundColor);
    display: inline-block;
    border-radius: 7px;
    position: relative;
    cursor: pointer;
	margin-top: 17px;
    margin-left: 7px;
}

.darkLightChooser input[type="checkbox"] + label:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto 0;
    display: block;
    width: 9px;
    height: 9px;
    background: var(--primaryColor);
    border-radius: 7px;
    animation: bounceOut 0.5s linear;
    left: 2.5px;
}

.darkLightChooser input[type="checkbox"]:checked + label:before {
    animation: bounce 0.5s linear;
    left: calc(100% - 11.5px);
    background: var(--primaryColor);
}

@keyframes bounce {
    0% {
        left: 10px
    }

    80% {
        left: calc(100% - 11.5px)
    }

    90% {
        left: calc(100% - 13.8px)
    }

    100% {
        left: calc(100% - 11.5px)
    }
}

@keyframes bounceOut {
    0% {
        left: calc(100% - 11.5px)
    }

    80% {
        left: 2.3px
    }

    90% {
        left: 4.6px
    }

    100% {
        left: 2.3px
    }
}

#darkLightChooser:hover {
    color: var(--primaryColor);
	background: var(--secondaryBackgroundColor);
}

#darkLightChooser.deactivated:hover {
    color: #fff;
}

span.lnr.lnr-home {
    vertical-align: sub;
    margin-left: 8px;
    font-weight: 900;
}

span.lnr.lnr-map-marker, span.lnr.lnr-bus {
    font-size: 50px;
}

span.lnr.lnr-redo {
    font-size: 32px;
    font-weight: 900;
}

.homeButtonContainer {
    background: transparent;
}

.reloadButtonContainer {
	opacity: 1;
    position: fixed;
    right: 10px;
    bottom: 14px;
    z-index: 999;
    background: transparent;
    padding: 5px 10px 10px 6px;
}

.reloadButtonContainer:hover {
	background: var(--secondaryBackgroundColor);
}

.reloadButtonContainer span:before {
    color: var(--primaryColor);
}

.reloadButtonContainer a {
    text-decoration: none;
	width: 25px;
    height: 25px;
    display: block;
	z-index: 999;
}

.reloadButtonContainer.deactivated {
    pointer-events: none;
	opacity: 0;
}

#colorPickerContainer {
	opacity: 1;
}

.colorPicker {
	position: fixed;
	width: 15px;
	height: 15px;
	z-index: 998;
	cursor: pointer;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	-webkit-border-radius: 50%;
	border-radius: 50%;
	/*overflow: hidden;*/
	animation: animateColor 5s linear infinite;
}

a#colorPickerContainer:focus, a#colorPickerContainer:focus-within, a#colorPickerContainer:active, a#colorPickerContainer:focus, a#colorPickerContainer:visited {
    outline: none;
}

.colorPicker span{
	position: absolute;
	width: 100%;
	height: 100%;
	left: 50%;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	-webkit-transform-origin: left;
	transform-origin: left;
}

.colorPicker span:nth-child(1){
	background: #2ecc71;
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	z-index: 2;
}

.colorPicker span:nth-child(2){
	background: #ffd203;
	-webkit-transform: rotate(60deg);
	transform: rotate(60deg);
	z-index: 3;
}

.colorPicker span:nth-child(3){
	background: #50dfc1;
	-webkit-transform: rotate(120deg);
	transform: rotate(120deg);
	z-index: 4;
}

.colorPicker span:nth-child(4){
	background: #129cf5;
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
	z-index: 5;
}

.colorPicker span:nth-child(5){
	background: #E533FF;
	-webkit-transform: rotate(240deg);
	transform: rotate(240deg);
	z-index: 6;
}

.colorPicker span:nth-child(6){
	background: #ff4f45;
	-webkit-transform: rotate(300deg);
	transform: rotate(300deg);
	z-index: 7;
	overflow: hidden;
}

.colorPicker span:nth-child(6):before{
	content: '';
	position: absolute;
	top: 45%;
	left: -72%;
	width: 100%;
	height: 100%;
	background: #ffd203;
	-webkit-border-radius: 50%;
	border-radius: 50%;
	z-index: 2;
}

.colorPicker span:nth-child(6):after{
	content: '';
	position: absolute;
	top: 42%;
	left: -23%;
	width: 100%;
	height: 100%;
	background: #2ecc71;
	-webkit-border-radius: 50%;
	border-radius: 50%;
}

@keyframes animateColor {
	0% {
		-webkit-transform: translate(-50%, -50%) rotate(359deg);
		transform: translate(-50%, -50%) rotate(359deg);
	}
	100% {
		-webkit-transform: translate(-50%, -50%) rotate(0deg);
		transform: translate(-50%, -50%) rotate(0deg);
	}
}

#colorPickerContainer:hover span, #colorPickerContainer:hover span:before, #colorPickerContainer:hover span:after {
    background: var(--primaryColorNext);
}

.colorPicker {
	left: calc(50vw - 55px);
    bottom: 17px;
}

.colorContainer {
    position: absolute;
    width: 25px;
    height: 25px;
    left: calc(50vw - 77.5px);
    bottom: 10px;
    background: transparent;
    padding: 10px;
}

.colorContainer:hover {
    background: var(--secondaryBackgroundColor);
}

/* OASA CONTAINER */

.oasaContainer {
	text-align: center;
	color: var(--textColor);
	max-width: 1400px;
    margin: auto;
    padding: 0 10px;
}

.oasaContainer p, .oasaContainer h2 {
	margin: 0;
	padding: 0;
}

/* BUS ITEM LIST */

.busItem {
    cursor: pointer;
    display: inline-block;
    width: 25%;
    margin: 15px;
    height: auto;
	/*background: var(--primaryBackgroundColor);*/
    box-shadow: 0px 3px 45px 0px var(--boxShadowColor);
    -webkit-backdrop-filter: blur(10px);
}

/*.busLineName.accordionLink {
    border-left: 2px solid var(--primaryColor);
    border-right: 2px solid var(--primaryColor);
}*/

.busLineName.accordionLink.active {
    background: var(--primaryBackgroundColor);
    border-bottom: 2px solid var(--primaryColor);
    border-left: 0;
    border-right: 0;
}

.busItem .busLineName h2 {
	font-size: 5vh;
	padding: 15px 0;
	font-family: Verdana;
	color: var(--textColor);
}

.busItem:hover {
    background: var(--secondaryBackgroundColor);
}

/* BUS ITEM */

.busItem.active {
    pointer-events: none;
	width: auto;
	background: none;
    border: 0;
	/*box-shadow: 0px 10px 100px 0px var(--primaryColor);*/
}

.busItem.active h2 {
    color: var(--primaryColor);
}

.busItem.inactive {
	display: none;
}

.busLineName.active {
    background: var(--secondaryBackgroundColor);
}

.busItem .busLineName.active h2 {
	font-size: 4vh;
    padding: 10px 0;
}

.busStopName, .busStopArrivalTime {
	margin: auto;
	padding: 10px 10px;
	float: left;
    margin: 2px;
	color: var(--textColor);
	font-family: Verdana;
}

.busStopArrivalTime p, .busStopArrivalTime p.title {
    font-size: 14px;
    width: 100%;
    padding-bottom: 0;
}

.startTimes div {
    font-size: 15px;
	padding: 10px 10px;
}

.busStopArrivalTime {
    font-family: Bittypix;
    height: 20px;
    border: 0;
    width: 71px;
    pointer-events: all;
    background: var(--secondaryBackgroundColor);
    display: flex;
    align-items: center;
}

.busStopArrivalTime.directionB {
    margin-right: 0;
}

.busStopName {
	width: 115px;
	height: 20px;
    margin-left: 0 !important;
    display: flex;
    align-items: center;
}

.busInfoTitle .busStopName {
	width: 112px;
    background: transparent;
    border-left: 3px solid transparent;
}

.busInfo .busStopName p {
    color: var(--secondaryColorLight);
}

.busItem.active .busInfo:last-child .busStopName, .busItem.active .busInfo:last-child .busStopArrivalTime {
    margin-bottom: 0;
}

.busStopDetails {
	max-width: 325px;
    margin: auto;
}

.startTimes {
    margin-bottom: 2px;
	font-family: Bittypix;
}

.startTimes .lineEnd, .startTimes .lineStart {
    padding: 10px 15px;
}

.startTimes p.title {
    color: var(--primaryColor);
}

.startTimes p.title span {
    color: var(--secondaryColorLight);
}

.startTimes .lineEnd div, .startTimes .lineStart div {
    display: inline-block;
}

.lineEnd p, .lineStart p {
    display: inline-block;
}

.busInfo, .busInfoTitle {
	display: block;
	float: left;
	width: 100%;
}

.busStopArrivalTime.inactive {
    background: transparent;
}

p.title {
    font-family: Verdana;
    display: block;
    padding-bottom: 15px;
}

.busInfoTitle p.title {
    color: var(--secondaryColorLight);
}

.busInfoTitle .busStopName p {
    color: var(--primaryColor);
}

.busStopName p {
    width: 100%;
}

.startTimes p.title span {
    font-size: 15px;
}

.busInfoTitle .busStopArrivalTime {
    padding: 10px 10px;
    width: 71px;
}

.busInfoTitle p {
    font-size: 14px;
}

.busStopArrivalTime p span:before {
	color: var(--primaryColor);
}

.busStopArrivalTime.inactive {
    pointer-events: none;
}

.busName:hover {
    background: var(--primaryColor);
}

.busName:hover p {
    color: var(--textColor);
}

.activeVoice {
    box-shadow: inset 0 0 10px #000000;
}

/* STATION ITEM LIST */

.stationItem {
    box-shadow: 0px 3px 45px 5px var(--boxShadowColor);
	cursor: pointer;
    display: inline-block;
    width: 25%;
    margin: 15px;
    height: auto;
    /*border-left: 2px solid var(--primaryColor);
    border-right: 2px solid var(--primaryColor);*/
}

.stationItem .stationTitle h2 {
    font-size: 25px;
    padding: 15px 5px;
    font-family: Verdana;
    color: var(--textColor);
}

.stationItem:hover {
    background: var(--secondaryBackgroundColor);
}

/* STATION ITEM */

.stationItem.active {
    pointer-events: none;
    width: auto;
    background: none;
    border: 0;
	/* box-shadow: 0px 3px 50px 0px var(--primaryColor);*/
}

.stationItem.inactive {
	display: none;
}

.stationTitle.active {
    background: var(--primaryBackgroundColor);
    border-bottom: 2px solid var(--primaryColor);
}

.stationItem .stationTitle.active h2 {
    color: var(--primaryColor);
    font-size: 30px;
    padding: 10px;
}

.stationDetails {
    max-width: 325px;
    margin: auto;
}

.stationDetails.active {
	/*display: flex;*/
    flex-direction: column;
}

.busInfo, .stationInfo {
    display: block;
    float: left;
    width: 100%;
}

.stationInfo p {
    font-size: 12px;
	color: var(--secondaryColor);
}

.stationTitle, .busArrivalTime.inactive {
    color: var(--secondaryColor) !important;
}

.busArrivalTime p {
    font-size: 14px;
    width: 100%;
}

.stationName {
	/*background: var(--secondaryBackgroundColor);*/
    width: 121px;
    height: 32px;
    padding: 0px 10px;
    float: left;
    color: #fff;
    font-family: Verdana;
	margin: 2px 2px 2px 0;
}

.stationName p {
    padding-top: 6px;
	font-size: 14px;
}

.stationDescription {
    width: 299px;
    height: 27px;
    padding: 0px 10px;
    margin: 2px 0;
    border-width: 0 3px 0 3px;
    border-style: solid;
    border-color: var(--secondaryBackgroundColor);
    background: var(--secondaryBackgroundColor);
}

.stationDescription p {
    font-family: Verdana;
	color: var(--secondaryColor);
	font-size: 13px;
    padding-top: 5px;
}

.busName {
    width: 210px;
    height: 24px;
	margin-left: 0 !important;
	pointer-events: all;
    cursor: pointer;
}

.busName, .busArrivalTime.inactive {
    color: var(--secondaryColor) !important;
}

.busName, .busArrivalTime {
    margin: auto;
    padding: 8px 10px;
    float: left;
    margin: 2px;
    color: var(--textColor);
    font-family: Verdana;
}

.stationItem.active .lastOrderItem .busName, .stationItem.active .lastOrderItem .busArrivalTime {
    margin-bottom: 0;
}

.busName p {
	padding-top: 2px;
}

.busArrivalTime {
    font-family: Bittypix;
    height: 24px;
	background: var(--secondaryBackgroundColor);
	width: 71px;
	pointer-events: all;
    margin-right: 0;
    display: flex;
    align-items: center;
}

.busArrivalTime.directionB {
    margin-right: 0;
}

.busInfo.lastOrderItem .busName, .busInfo.lastOrderItem .busArrivalTime {
    margin-bottom: 0;
}

.stationTime {
    padding: 5px 0;
    margin: 2px 0;
}

.stationTime p {
    font-family: Verdana;
    font-size: 14px;
	color: var(--primaryColor);
}

.stationInfo .busName {
    background: transparent;
}

.busInfo .busStopName.activeLink {
    pointer-events: all;
    cursor: pointer;
}

.busInfo .busStopName.activeLink:hover {
    background: var(--primaryColor);
}

.busInfo .busStopName.activeLink:hover p {
    color: var(--primaryBackgroundColor);
}

/* ORIENTATION MESSAGE */

.orientationMessage {
    display: none;
}

@media only screen and (max-device-width: 812px) and (orientation: landscape) {
    #appTitle, .bottomBar, .container {
        display: none !important;
    }
    
    .orientationMessage {
        display: block !important;
        height: 50px;
        width: 100px;
        border: 3px solid var(--primaryColor);
        border-radius: 10px;
        animation: rotate 1.5s ease-in-out infinite alternate;
    }

    @keyframes rotate {
        0% {
              transform: rotate(0deg)
        }
        50% {
              transform: rotate(-90deg)
        }
        100% {
              transform: rotate(-90deg)
        }
    }

    body {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background-color: var(--primaryBackgroundColor) !important;
        height: 100%;
    }    
}